\section{\report{} May 08, 2020}
\label{sec:2020-05-08-section}

\subsection{Resources}
\label{sec:2020-05-08-resources}

\begin{itemize}
  \item \href{http://dati.istat.it/Index.aspx?DataSetCode=DCIS_DECESSI#}{ISTAT db for number of deaths}
  \item \href{https://modelingcovid.com/}{Mathematica COVID modeling}
  \item \href{https://hamilton-institute.github.io/covid19ireland/}{age-stratified data for Republic of Ireland}
\end{itemize}

\subsection{Things I did}
\label{sec:2020-05-08-things-I-did}

\subsubsection{FN-fixed model}
\label{sec:2020-05-08-fn-fixed}

Following suggestions of latest group call \fg[fn-model-fix-sketch]{} shows the fixed model.

\begin{figure}[ht!]
\centering
\includegraphics[width=\wimg{}]{img/2020-05-08/diagram-FN-fixed.png}
\caption{Fixed FN model sketch}
\label{fig:fn-model-fix-sketch}
\end{figure}
You may take into considerations the following notation:
\begin{itemize}
  \item lowercase italic letters are used to mark the coefficients of the transitions between states
  \item black squared states are the ones you cannot move from
  \item the $S$ state is marked with two squares because everyone starts there
  \item the line between $S$ and $E$ is dotted because there is an interaction also with $I_u$
\end{itemize}

The PDE system thus becomes:

\begin{align}
  \frac{\mathrm{d} P(t)}{\mathrm{d} t} &= \it{a}(t) S(t)\\
  \frac{\mathrm{d} S(t)}{\mathrm{d} t} &= - \it{b} \frac{S(t) I_{u}(t)}{N - D(t)} - \it{a}(t) S(t)\\
  \frac{\mathrm{d} E(t)}{\mathrm{d} t} &= \it{b} \frac{S(t) I_{u}(t)}{N - D(t)} - \it{c} E(t)\\
  \frac{\mathrm{d} I_{u}(t)}{\mathrm{d} t} &= \it{c} E(t) - (\it{d} + \it{e} + \it{f} + \it{g}) \cdot I_{u}(t)\\
  \frac{\mathrm{d} I_{q}(t)}{\mathrm{d} t} &= \it{f} I_{u}(t) - (\it{h} + \it{i} + \it{l}) \cdot I_{q}(t)\\
  \frac{\mathrm{d} R(t)}{\mathrm{d} t} &= \it{d} I_{u}(t) + \it{h} I_{q}(t) + \it{m} H(t) + \it{o} I_{cu}(t)\\
  \frac{\mathrm{d} H(t)}{\mathrm{d} t} &= \it{i} I_{q}(t) - (\it{m} + \it{n}) \cdot H(t)\\
  \frac{\mathrm{d} I_{cu}(t)}{\mathrm{d} t} &= \it{l} I_{q}(t) + \it{n} H(t) - (\it{o} + \it{p}) \cdot I_{cu}(t)\\
  \frac{\mathrm{d} D(t)}{\mathrm{d} t} &= \it{p} I_{cu}(t) + \it{g} I_{u}(t)
\end{align}

\subsubsection{Agent-based implementation}
\label{sec:2020-05-08-ag-implementation}

Drafted the \href{https://github.com/cvcssj/COVID19_AgentBasedSimulation}{Python implementation}
